<div class="confirmation-w" *ngIf="this.flow">
  <div class="confirmation-w-top"></div>
  <div class="confirmation-w-main">
    <eui-card>
      <eui-card-content>
        <div class="eui-u-flex eui-u-flex-justify-content-between eui-u-flex-align-items-start col-12">
          <div class="col-9">
            <div class="main-header">
              {{
                (this.flow.data.user.id ? 'app.details.user.summary.user.update.header' : 'app.details.user.summary.user.create.header')
                  | translate
              }}
            </div>
            <div class="main-header">
              <span class="entity-name eui-u-font-3xl eui-u-f-bold">{{ this.flow.data.user.userName }}</span>
            </div>
            <div class="main-header">
              <ng-container
                *ngTemplateOutlet="data; context: { $implicit: { data: this.flow.data.user, isInitialData: false } }"></ng-container
            ></div>
            <div class="main-header">
              <span class="eui-u-border-bottom-separator eui-u-font-xl eui-u-ph-none">{{
                'app.details.user.confirmation.addUser.access' | translate
              }}</span>
            </div>
            <div class="main-header">
              <ng-container
                *ngTemplateOutlet="roles; context: { $implicit: { data: this.flow.data.user, isInitialData: false } }"></ng-container>
            </div>
            <ng-content />
          </div>
          <div class="col-3 eui-u-text-right">
            <button euiPrimary euiButton (click)="handleSummeryButton()">
              <eui-icon-svg icon="eui-ecl-list" set="eui" size="m" fillColor="grey-100"></eui-icon-svg>
              <span class="button-text">{{ 'app.details.user.summary.user.listButtonLabel' | translate }}</span>
            </button>
          </div>
        </div>
      </eui-card-content>
    </eui-card>
    <img src="assets/images/confirmation_publish.png" alt="Publish" class="confirmation-w-main-img" />
  </div>

  <div class="confirmation-w-bottom">
    <span class="eui-u-f-3xl eui-u-mb-m">
      {{ 'app.details.user.summary.user.nextLabel' | translate }}
    </span>
    <div class="eui-u-flex eui-u-flex-justify-content-center">
      <eui-card class="eui-u-mr-s">
        <eui-card-content class="cs-mouse-cursor-pointer" (click)="handleNextAction('/flow/user')">
          <eui-icon-svg icon="person-add" set="sharp" size="xl" fillColor="primary-75" style="margin-right: 10px"> </eui-icon-svg>
          <span class="eui-u-f-l-bold eui-u-c-primary">
            {{ 'app.details.user.summary.user.addUserLabel' | translate }}
          </span>
        </eui-card-content>
      </eui-card>
    </div>
  </div>
</div>

<ng-template #data let-user>
  <div class="cs-user-data-container">
    <div>
      <label euilabel class="eui-u-f-bold eui-u-mb-none">{{ 'app.details.user.confirmation.addUser.email' | translate }}</label>
      <div class="eui-u-display-flex eui-u-flex-align-items-center eui-u-mb-m">
        <span class="eui-u-mt-none">
          {{ user?.data?.email }}
        </span>
      </div>
    </div>
    <div>
      <label euilabel class="eui-u-f-bold eui-u-mb-none">{{ 'app.details.user.confirmation.addUser.country' | translate }}</label>
      <div class="eui-u-display-flex eui-u-flex-align-items-center eui-u-mb-m">
        <span *ngIf="user?.data?.country" class="eui-flag-icon eui-flag-icon-{{ user?.data.country | flag }} eui-u-mr-2xs"></span>
        <span>
          {{ user?.data?.countryHelper?.label }}
        </span>
      </div>
    </div>
  </div>
</ng-template>

<ng-template #roles let-roles>
  <div>
    <div *ngIf="roles.data?.userRoles && roles.data?.userRoles.length > 0">
      <div euilabel class="eui-u-f-bold">
        {{ 'app.details.user.confirmation.addUser.umApp' | translate }}
      </div>
      <div class="eui-u-display-flex eui-u-flex-align-items-center eui-u-mb-m">
        <eui-chip *ngFor="let role of roles.data?.userRoles" isFilled euiPrimary class="eui-u-mb-x eui-u-mr-xs">{{ role.label }}</eui-chip>
      </div>
    </div>
    <div *ngIf="roles.data?.adminRoles && roles.data?.adminRoles.length > 0">
      <div euilabel class="eui-u-f-bold">
        {{ 'app.details.user.confirmation.addUser.csApp' | translate }}
      </div>
      <div class="eui-u-display-flex eui-u-flex-align-items-center eui-u-mb-m">
        <eui-chip *ngFor="let role of roles.data?.adminRoles" isFilled euiPrimary class="eui-u-mb-x eui-u-mr-xs">{{ role.label }}</eui-chip>
      </div>
    </div>
    <div>
      <label euilabel class="eui-u-f-bold eui-u-mb-none">
        {{ 'app.details.user.confirmation.addUser.activePeriod' | translate }}
      </label>
      <div class="eui-u-display-flex eui-u-flex-align-items-center">
        <span class="eui-u-mt-none">
          {{
            'app.details.user.confirmation.addUser.startDate'
              | translate: { date: (roles.data?.startDate | date: 'dd/MM/yyyy') || ('app.data.user.undefined' | translate) }
          }}
        </span>
      </div>
      <div class="eui-u-display-flex eui-u-flex-align-items-center">
        <span class="eui-u-mt-none">
          {{
            'app.details.user.confirmation.addUser.endDate'
              | translate: { date: (roles.data?.endDate | date: 'dd/MM/yyyy') || ('app.data.user.undefined' | translate) }
          }}
        </span>
      </div>
    </div>
  </div>
</ng-template>
